# OpalManager::PortInfo Struct Reference

`#include <manager.h>`

List of all members.

## Public Member Functions

void | Set (unsigned base, unsigned max, unsigned range, unsigned dflt)
WORD | GetNext (unsigned increment)

## Public Attributes

PMutex | mutex
WORD | base
WORD | max
WORD | current

## Member Function Documentation

void OpalManager::PortInfo::Set | ( | unsigned | base,
|  | unsigned | max,
|  | unsigned | range,
|  | unsigned | dflt |
| ) |  |  |

WORD OpalManager::PortInfo::GetNext | ( | unsigned | increment | ) |

## Member Data Documentation

PMutex OpalManager::PortInfo::mutex

WORD OpalManager::PortInfo::base

WORD OpalManager::PortInfo::max

WORD OpalManager::PortInfo::current

The documentation for this struct was generated from the following file:

- manager.h